<pdf-viewer
  [src]="src"
  [original-size]="false"
  [autoresize]="true"
  [show-all]="false"
  [(page)]="page"
  (after-load-complete)="onLoadComplete($event)"
></pdf-viewer>

<nav *ngIf="numPages">
  <ul class="pagination pagination-sm justify-content-center">
    <li
      class="page-item"
      [class.disabled]="page === 1"
    >
      <button type="button" class="page-link" (click)="goToPage(page - 1)">{{ 'pagination.prev' | translate }}</button>
    </li>
    <ng-container
      *ngIf="numPagesIterable.length <=20; then shortPagination; else longPagination">
    </ng-container>
    <li
      class="page-item"
      [class.disabled]="page === numPages"
    >
      <button type="button" class="page-link" (click)="goToPage(page + 1)">{{ 'pagination.next' | translate }}</button>
    </li>
  </ul>
</nav>
<ng-template #shortPagination>
  <li
    class="page-item"
    [class.active]="page==nthPage + 1"
    *ngFor="let _ of numPagesIterable;
      let nthPage = index"
  >
    <button
      type="button"
      class="page-link"
      (click)="goToPage(nthPage + 1)"
    >
      {{ nthPage + 1 }}
    </button>
  </li>
</ng-template>

<ng-template #longPagination>
  <li
    class="page-item"
    [class.active]="page==nthPage + 1"
    *ngFor="let _ of numPagesIterable.slice(0,9);
      let nthPage = index"
  >
    <button
      type="button"
      class="page-link"
      (click)="goToPage(nthPage + 1)"
    >
      {{ nthPage + 1 }}
    </button>
  </li>

  <li
    class="page-item"
  >
    <span>...</span>
  </li>
  <li
    class="page-item"
    [class.active]="page==nthPage + numPagesIterable.length-7"
    *ngFor="let _ of numPagesIterable.slice(numPagesIterable.length-8);
      let nthPage = index"
  >
    <button
      type="button"
      class="page-link"
      (click)="goToPage(nthPage + numPagesIterable.length-7)"
    >
      {{ nthPage + numPagesIterable.length-7}}
    </button>
  </li>
</ng-template>
<!--
https://github.com/VadimDez/ng2-pdf-viewer/tree/3aec972092d57c86146fcfe3c1db68239f4f2b8c
[show-all]
  is an input property that tells component that we want all or only one page to be rendered.
  In our case we set it to false — so only one page will be rendered.
[page]
  is an input property, used in combination with [show-all]=”false” and tells component which page to render.
  In our case page is dynamic and will change on previous or next button press.
-->
